[PATCH] wpa_supplicant 0.6.X: fix FTBFS on Debian GNU/kFreebsd

Kel Modderman kel at otaku42.de
Mon Mar 1 04:41:19 EST 2010


On Monday 01 March 2010 21:08:21 Holger Schurig wrote:
> Shouldn't you do this rather for wpasupplicant 0.7.1?

What, like the patch in the other email?

> 
> By staying at this old version, you thwart usage of cfg80211.
> 

Debian squeeze is going to be frozen soon and for a few years. Do you think
it should be frozen with an early release of a development branch of
wpa_supplicant or a mature release of the current stable branch which has
gone through all the "user -> find bug -> report bug -> fix bug" cycles for
a long length of time?

What happens if there is some serious bug found in 0.7.1 release 1/2 years from
now, is Jouni or others likely to help me/Debian fix it? What if a fix for the
problem has been committed but is non-trivial to backport to 0.7.1? Is it less
likely to get help with the current stable release 1/2 years from now?

If Linux, and all its modules, is frozen at 2.6.32, how much benefit is it to
users to be using version 0.7.1 for the next couple of years? Do these benefits
override the advantage of having a version which has been used for a long time
and seems to work well enough now but maybe doesn't support the really new
features?

Thanks, Kel.


More information about the HostAP mailing list